
#define MODULE main

#include <zephyr/kernel.h>

#include <app_event_manager.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <caf/events/module_state_event.h>
#include <zephyr/logging/log.h>
LOG_MODULE_REGISTER(MODULE, LOG_LEVEL_DBG);

int main(void)
{

	if (app_event_manager_init()) {
		LOG_ERR("Application Event Manager not initialized");
	} else {
		module_set_state(MODULE_STATE_READY);
	}

	return 0;
}
